Skip to main content
GET
/
orgs
/
{org_id}
/
audit-logs
Get Audit Logs
curl --request GET \
  --url https://api.useinvent.com/orgs/{org_id}/audit-logs
[
  {
    "id": "<string>",
    "action": "org.updated",
    "source": "app",
    "ip": "<string>",
    "country": "<string>",
    "agent": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "actor": {
      "id": "<string>",
      "name": "<string>",
      "email": "jsmith@example.com",
      "avatar": "<string>",
      "seen_at": "2023-11-07T05:31:56Z"
    },
    "user": {
      "id": "<string>",
      "name": "<string>",
      "email": "jsmith@example.com",
      "avatar": "<string>",
      "seen_at": "2023-11-07T05:31:56Z"
    },
    "assistant": {
      "id": "<string>",
      "name": "<string>",
      "enabled": true,
      "avatar_url": "<string>",
      "deleted": true,
      "config": {
        "conversation": {
          "welcome_banner": "<string>",
          "suggested_messages": [
            "<string>"
          ],
          "auto_intro_message": "<string>",
          "enable_auto_csat": true
        }
      }
    },
    "workflow": {
      "id": "<string>",
      "name": "<string>",
      "access": "PRIVATE",
      "org_id": "<string>"
    },
    "connection": {
      "id": "<string>",
      "type": "SLACK",
      "name": "<string>"
    },
    "broadcast": {
      "id": "<string>",
      "name": "<string>"
    },
    "member": {
      "id": "<string>",
      "role": "ADMIN",
      "user": {
        "id": "<string>",
        "name": "<string>",
        "email": "jsmith@example.com",
        "avatar": "<string>",
        "seen_at": "2023-11-07T05:31:56Z"
      }
    },
    "org": {
      "id": "<string>",
      "name": "<string>",
      "verified": true,
      "logo_url": "<string>",
      "plan": "free",
      "config": {
        "email": "jsmith@example.com",
        "address": "<string>",
        "terms_url": "<string>",
        "privacy_url": "<string>"
      },
      "features": {
        "enterprise": true,
        "allow_overdraft": true,
        "workflows": true,
        "broadcasts": true,
        "enable_japifon": true,
        "slack_access": true
      },
      "parent_org_id": "<string>"
    },
    "metadata": {
      "action": "member.invited",
      "email": "<string>",
      "role": "ADMIN",
      "name": "<string>"
    }
  }
]

Path Parameters

org_id
string
required

The ID of the org

Query Parameters

action
enum<string>

Filter by action type

Available options:
ALL,
org.updated,
org.deleted,
org.disabled,
org.enabled,
org.restored,
org.transferred,
org.transferred_to,
org.detached,
org.detached_from,
org.sub_org_created,
org.sub_org_updated,
org.sub_org_member_joined,
org.sub_org_member_role_changed,
member.invited,
member.joined,
member.removed,
member.left,
member.role_changed,
assistant.created,
assistant.updated,
assistant.deleted,
assistant.restored,
assistant.duplicated,
assistant.duplicated_from,
action.created,
action.deleted,
action.enabled,
action.disabled,
integration.created,
integration.deleted,
integration.updated,
integration.enabled,
integration.disabled,
broadcast.created,
broadcast.deleted,
domain.created,
domain.deleted,
email.domain.created,
email.domain.deleted,
email.identity.created,
email.identity.deleted,
chat.deleted,
workflow.created,
workflow.deleted,
workflow.restored,
connection.created,
connection.updated,
connection.deleted,
api_key.created,
api_key.deleted
from
string<date-time> | null

Filter logs from this date (inclusive), YYYY-MM-DD

to
string<date-time> | null

Filter logs until this date (inclusive), YYYY-MM-DD

user_id
string

Filter by user who performed the action

assistant_id
string

Filter by affected assistant

workflow_id
string

Filter by affected workflow

connection_id
string

Filter by affected connection

page
number

Page number

take
number

Number of items to take

next
string

Next page token (Only used on special endpoints)

Response

200 - application/json

An array of audit log entries.

id
string
required

Unique audit log entry ID

action
enum<string>
required

The action that was performed

Available options:
org.updated,
org.deleted,
org.disabled,
org.enabled,
org.restored,
org.transferred,
org.transferred_to,
org.detached,
org.detached_from,
org.sub_org_created,
org.sub_org_updated,
org.sub_org_member_joined,
org.sub_org_member_role_changed,
member.invited,
member.joined,
member.removed,
member.left,
member.role_changed,
assistant.created,
assistant.updated,
assistant.deleted,
assistant.restored,
assistant.duplicated,
assistant.duplicated_from,
action.created,
action.deleted,
action.enabled,
action.disabled,
integration.created,
integration.deleted,
integration.updated,
integration.enabled,
integration.disabled,
broadcast.created,
broadcast.deleted,
domain.created,
domain.deleted,
email.domain.created,
email.domain.deleted,
email.identity.created,
email.identity.deleted,
chat.deleted,
workflow.created,
workflow.deleted,
workflow.restored,
connection.created,
connection.updated,
connection.deleted,
api_key.created,
api_key.deleted
source
enum<string>
required

Where the action originated from (app, admin, api, system)

Available options:
app,
admin,
api,
system
ip
string | null
required

IP address of the actor

country
string | null
required

Country code of the actor

agent
string | null
required

Browser user-agent string

created_at
string<date-time>
required

When the action was performed

actor
object

The user who performed the action

user
object

The user who performed the action

assistant
object

Affected assistant ID

workflow
object

Affected workflow ID

connection
object

Affected connection

broadcast
object

Affected broadcast

member
object

Affected member

org
object

The org this audit log belongs to

metadata
object

Action-specific metadata